Mono.Cairo 1.0.5000.0 2.0.0.0 Cairo.Surface An in-memory image surface
- Constructor
  name of PNG file to load
  Creates a new image surface and initializes the contents to the given PNG file.
  1.0.5000.0
  2.0.0.0
- Constructor
  format of pixels in the surface to create
  width of the surface, in pixels
  height of the surface, in pixels
  Creates an image surface of the specified format and dimensions.
  The initial contents of the surface is undefined; you must explicitely clear the buffer, using, for example, and if you want it cleared.
  1.0.5000.0
  2.0.0.0
- Constructor
  a buffer supplied by the application in which to write contents
  the format of pixels in the buffer
  the width of the image to be stored in the buffer
  the height of the image to be stored in the buffer
  the number of bytes between the start of rows in the buffer. Having this be specified separate from width allows for padding at the end of rows, or for writing to a subportion of a larger image
  Creates an image surface for the provided pixel data.
  The output buffer must be kept around until the is destroyed or is called on the surface. The initial contents of buffer will be used as the inital image contents; you must explicitly clear the buffer using, for example, and if you want it cleared.
  1.0.5000.0
  2.0.0.0
- Constructor
  An IntPtr pointing to the data (the data buffer contains height lines of stride elements with the number of elements needed by format.
  The format that the data has.
  Width of the image.
  Height of the image.
  Stride, the number of bytes in a row. This is typically a number bigger or equal than the width, and it is used to permit individual lines to be aligned.
  Creates an image surface for the provided pixel data.
  The output buffer must be kept around until the is destroyed or is called on the surface. The initial contents of buffer will be used as the inital image contents; you must explicitly clear the buffer using, for example, and if you want it cleared.
  1.0.5000.0
  2.0.0.0
- Property
  System.Byte[] The data of the ImageSurface the data as a Array 1.0.5000.0 2.0.0.0
- Property
  System.IntPtr An IntPtr pointing to the image data in memory. The pointing to the image data in memory 1.0.5000.0 2.0.0.0
- Property
  Cairo.Format The format of the ImageSurface The of the ImageSurface 1.0.5000.0 2.0.0.0
- Property
  System.Int32 The height of the ImageSurface in pixels the height as 1.0.5000.0 2.0.0.0
- Property
  System.Int32 The number of bytes per row in the image. The number of Bytes as the number of bytes between the start of rows in the buffer. Having this be specified separate from width allows for padding at the end of rows, or for writing to a subportion of a larger image. 1.0.5000.0 2.0.0.0
- Property
  System.Int32 The width of the ImageSurface in pixels the width as 1.0.5000.0 2.0.0.0